Name:          rustup
Version:       1.23.0
Release:       1mamba
Summary:       Rust toolchain installer
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rust-lang/rustup.git
Source:        https://github.com/rust-lang/rustup.git/%{version}/rustup-%{version}.tar.bz2
License:       Apache License 2.0, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: liblzma-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
Requires:      /usr/bin/cargo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Rust toolchain installer.

%debug_package

%prep
%setup -q

%build
cargo build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 target/debug/rustup-init %{buildroot}%{_bindir}/rustup

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/rustup
%doc LICENSE-APACHE LICENSE-MIT

%changelog
* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Tue Nov 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22.1-1mamba
- package created using the webbuild interface
